CMSIS-Driver: USB Endpoint Type

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USB Endpoint Type
USB Interface

USB Endpoint Type definitions. More...

## Macros

#define | ARM_USB_ENDPOINT_CONTROL (0U)
| Control Endpoint. More...
#define | ARM_USB_ENDPOINT_ISOCHRONOUS (1U)
| Isochronous Endpoint. More...
#define | ARM_USB_ENDPOINT_BULK (2U)
| Bulk Endpoint. More...
#define | ARM_USB_ENDPOINT_INTERRUPT (3U)
| Interrupt Endpoint. More...

## Description

USB Endpoint Type definitions.

The following USB Endpoint Type values are defined:

## Macro Definition Documentation

#define ARM_USB_ENDPOINT_CONTROL (0U)

Control Endpoint.

#define ARM_USB_ENDPOINT_ISOCHRONOUS (1U)

Isochronous Endpoint.

#define ARM_USB_ENDPOINT_BULK (2U)

Bulk Endpoint.

#define ARM_USB_ENDPOINT_INTERRUPT (3U)

Interrupt Endpoint.